# std::bad_exception::operator=

From cppreference.com
< cpp‎ | error‎ | bad exception

bad_exception& operator=( const bad_exception& other ); |  |

Assigns the contents of `other`.

### Parameters

other | - | another `bad_exception` object to assign

### Return value

*this.

### Exceptions

`noexcept` specification:
noexcept
Retrieved from "http://en.cppreference.com/mwiki/index.php?title=cpp/error/bad_exception/operator%3D&oldid=91354"
Category:

- unconditionally noexcept

Hidden categories:

- Pages with unreviewed unconditional noexcept template
- Pages with unreviewed noexcept template